Bug 190406 - Patches created on i386 fail to apply on x86_64
Patches created on i386 fail to apply on x86_64
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xdelta (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ludek Smid
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 19:34 EDT by Jordan Russell
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 07:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2006-05-01 19:34:01 EDT
Description of problem:
Trying to apply a patch created on an i386 machine fails on x86_64 with the
following error:

xdelta: @@@SerialSource: Incorrect allocation


Version-Release number of selected component (if applicable):
xdelta-1.1.3-15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Copy over a patch file created on an i386 machine to an x86_64 machine.
2. Run:  xdelta patch [filename]
  
Actual results:
xdelta: @@@SerialSource: Incorrect allocation

Expected results:
No error.

Additional info:
Some discussion about the bug on the Debian tracker:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=147187
Comment 1 Ludek Smid 2006-05-04 08:37:03 EDT
If you want 
Comment 2 Ludek Smid 2006-05-04 08:38:42 EDT
I'm sorry for leaving fragment of comment above. It was a mistake. Ignore it,
please.
Comment 3 Ludek Smid 2006-05-15 07:07:52 EDT
The patch fixing described behavior is avilable in rawhide.

If you need to fix this issue in RHEL 4, escalate this bug through Issue Tracker.

Note You need to log in before you can comment on or make changes to this bug.